(function($){
    $.fn.setCursorToTextEnd = function() {
        $initialVal = this.val();
        this.val($initialVal + ' ');
        this.val($initialVal);
    };
})(jQuery);

function regisHistory(id, page)
{
	$.ajax({
		url: '/frontend/user/regis_history/'+id +'/page/'+page,
		type: 'POST',
		success: function(data)
		{
			results = jQuery.parseJSON(data);
			paging = results.paging;
			result = results.packagelogs;
			$("#user-history").find("#topup-money").html(results.acc_balanced);
			content = "";
			if(result.length>0){
				for (var i in result)
				{
					content += '<tr><td class="center">'+result[i].source+'</td><td class="center">'+result[i].amount+'</td><td class="center">'+result[i].p_name+'</td><td>'+result[i].created_time+'</td></tr>';
					
				}
			}else
			{
				content += '<tr><td class="center" colspan=4>Chưa đăng kí gói dịch vụ nào!</td></tr>';
			}
			$("#user-history").find("#content-regis-histoty").html(content);
			$("#user-history").find("#regis-pagination").html(paging);
			$("#regis-pagination .ajax_paging").click(function ()
			{
				$.ajax({
					url: $(this).attr("href"),
					type: "POST",
					success: function (data, textStatus, jqXHR)
					{
						results = jQuery.parseJSON(data);
						regisHistory(id, results.current_page);
					},
					error: function ()
					{
						$(".ajaxloading").hide();
					}
				});
				return false;
			});
			
		}
	});
}

function tradeHistory(id, page)
{
	$.ajax({
		url: '/frontend/user/getUserInfor/'+id +'/page/'+page,
		type: 'POST',
		success: function(data)
		{
			results = jQuery.parseJSON(data);
			$("#content-trade-histoty").html(results.modal);
		}
	});	
}


function getUserHistory(id, page)
{
	regisHistory(id, page);
	tradeHistory(id, page);
	$("#user-history").modal('show');
}

function admin_update_user()
{

    $.ajax({
		url: '/frontend/user/adminUpdateUser/',
		type: 'POST',
                data: $("#admin_update_user_form").serialize(),
		success: function(data)
		{
                    
			results = jQuery.parseJSON(data);

			if(results.success==1)
                        {
                            $('#user-history').modal('hide');
                            //alert("đã cập nhật");
                            location.reload();
                        }

		}
	});
}

function checkSelecteDistrict(){
	provinceId = $(".form-field-province").val();
	$.ajax({
        url: '/frontend/user/getDistrict/' + provinceId,
        type: 'POST',
        success: function (data, textStatus, jqXHR)
        {
            result = jQuery.parseJSON(data);	
			content = "";
			if (result != null){
				for (var i in result){
					if (result[i].district_id === district_id){
						content = content + '<option value="' + result[i].district_id + '" selected >' + result[i].type + " " + result[i].district_name + '</option>';
					}else{
						content = content + '<option value="' + result[i].district_id + '">' + result[i].type + " "  + result[i].district_name + '</option>';
					}
				}
				$(".form-field-district").html(content);
			}
        }
    });
}

function changeEventProvince(){
	$(".form-field-district").html("");
	provinceId = $("#form-field-province").val();
	$.ajax({
        url: '/frontend/user/getDistrict/' + provinceId,
        type: 'POST',
        success: function (data, textStatus, jqXHR)
        {
            result = jQuery.parseJSON(data);
			content = "";
			if (result != null){
				for (var i in result){			
					content = content + '<option value="' + result[i].district_id + '">'+ result[i].type + " "  + result[i].district_name + '</option>'
				}
				$(".form-field-district").html(content);
			}
        }
    });
}
